- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Events::CMenuEvent Class Reference

Inheritance diagram for Exponent::GUI::Events::CMenuEvent:

List of all members.

## Detailed Description

Allows for responding to menu actions.

Date:
  15/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CMenuEvent.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 39 of file CMenuEvent.hpp.

## Public Member Functions

- CMenuEvent (CMenuItem *item, CMenu *menu)
- CMenu * getMenu () const
- CMenuItem * getMenuItem () const
- long identify () const
- void setMenu (CMenu *menu)
- void setMenuItem (CMenuItem *item)
- virtual ~CMenuEvent ()

## Protected Attributes

- CMenu * m_menu
- CMenuItem * m_menuItem

## Constructor & Destructor Documentation

Exponent::GUI::Events::CMenuEvent::CMenuEvent | ( | CMenuItem * | item,
|  | CMenu * | menu |
| ) |  |  |

Construction

Parameters:

  | item | The item that was selected
  | menu | The owner menu

virtual Exponent::GUI::Events::CMenuEvent::~CMenuEvent | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

CMenu* Exponent::GUI::Events::CMenuEvent::getMenu | ( |  | ) | const

Get the menu

Return values:

  | CMenu* | The menu

CMenuItem* Exponent::GUI::Events::CMenuEvent::getMenuItem | ( |  | ) | const

Get the menu item

Return values:

  | CMenuItem* | The menu item

long Exponent::GUI::Events::CMenuEvent::identify | ( |  | ) | const

Get the id

Return values:

  | long | The id of the menu item

void Exponent::GUI::Events::CMenuEvent::setMenu | ( | CMenu * | menu | ) |

Set the menu

Parameters:

  | menu | The menu

void Exponent::GUI::Events::CMenuEvent::setMenuItem | ( | CMenuItem * | item | ) |

Set the menu item

Parameters:

  | item | The menu item

## Member Data Documentation

CMenu* Exponent::GUI::Events::CMenuEvent::m_menu`[protected]`

The owning menu

Definition at line 104 of file CMenuEvent.hpp.

CMenuItem* Exponent::GUI::Events::CMenuEvent::m_menuItem`[protected]`

The menu item that generated the event

Definition at line 103 of file CMenuEvent.hpp.